package com.emr.vo.commomSearch;

import java.math.BigDecimal;

public class CommomVo {
    private String patientId;

    private Short admissTimes;//住院次数

    private String inpatientNo;//病案号

    private String name;//姓名


    private String applyStatc;

    private String admissId;//住院号

    public String getApplyStatc() {
        return applyStatc;
    }

    public void setApplyStatc(String applyStatc) {
        this.applyStatc = applyStatc;
    }

    private String sex;//性别

    private String age;//年龄(岁)

    private Short ageMonth;//年龄(月)

    private Short ageDay;//年龄(天)

    private String homeAddr;//家庭住址

    private String nameCym;//姓名简写

    private String admissDate;//住院日期

    private String disDate;//出院日期

    private Integer admissDays;//住院天数

    private String disDept;//出院科室

    private String isOper;//是否手术

    private String attending;//主治医师

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    private String mainDiagCode;//主要诊断编码

    private String mainDiagName;//主要诊断名称

    private String mainDisThing;//主要诊断转归情况

    private String memo;//病案备注

    private String applyName;

    private String country;//国籍

    private String birthAddr;//出生地

    private String idCard;//身份证号

    private String job;//职业

    private String marriage;//婚况

    private String homeTel;//家庭电话

    private String homeZip;//家庭邮编

    private String workName;//单位名称

    private String workAddr;//工作地址

    private String workTel;//工作电话

    private String workZip;//工作邮编

    private String linkman;//联系人

    private String relation;//与联系人关系

    private String relAddr;//联系人地址

    private String relTel;//联系人电话

    private String payType;//付费方式

    private String birthday;//出生日期

    private BigDecimal avoirdupois;//新生儿出生体重

    private String admissType;//住院方式

    private String admissDept;//住院科室

    private String admissWard;//住院病房

    private String changeDept;//转科科室

    private String disWard;//出院病房

    private String clinicDiag;//门诊诊断编码

    private String clinicName;//门诊诊断名称

    private int refreshTable;

    public int getRefreshTable() {
        return refreshTable;
    }

    public void setRefreshTable(int refreshTable) {
        this.refreshTable = refreshTable;
    }

    public int getBatchId() {
        return batchId;
    }

    public void setBatchId(int batchId) {
        this.batchId = batchId;
    }

    private int batchId;
    private String admissThing;//入院病情(暂无用)

    private String pathologyCode;//病理诊断编码

    private String pathologyNo;//病理号

    private String pathologyName;//病理诊断

    private String medicine;//过敏药物

    private String isMedicine;//是否药物过敏

    private String emitPathology;//是否尸亡尸检

    private String deptDirector;//科主任

    private String director;//主任(副主任)医师

    private String admissDoctor;//住院医师

    private String refresher;//进修医师

    private String praxis;//实习医师

    private String coding;//编码员

    private String quality;//病案质量

    private String control;//质控医师

    private String nurses;//质控护士

    private String qualityDate;//质控日期

    private String inputName;//输入员

    private String inputCreateTime;//输入时间

    private String bloodType;//血型

    private String rh;//RH

    private Integer isShowDetail=0;//是否通过审批且时间未过期可查看

    private Integer isDownload=0;//是否通过审批且时间未过期可下载

    private Integer lockStatus=0;//锁定状态

    private Integer editOper=0;//可修改

    private Integer delOper=0;//可删除

    private String diagCode;//诊断编号

    private String diagName;//诊断名称

    private String poisoningName;//损伤中毒

    private String disThing;//转归情况

    private String operateCode;//手术编码

    private String operateName;//手术名称

    private String operateDate;//手术时间

    private String operator;//术者

    private String assistant1;//助I

    private String assistant2;//助II

    private String operateClass;//手术级别

    private String anaesthesiaType;//麻醉方式

    private String cut;//切口愈合等级

    private String anaesthesiaName;//麻醉医师

    private String taintName;//院内感染病名

    private String otherDiagName;//其他诊断的名称

    private String admissTimesName;//住院次数中文

    private Integer unlockOper;//解锁权限

    private Integer borrowingOper;//申请借阅权限

    private Integer downloadOper;//下载pdf权限

    private Integer lockOper;//锁定权限

    private String nativePlace;//籍贯

    private String addr;//现住址

    private String fileSource;

    public String getFileSource() {
        return fileSource;
    }

    public void setFileSource(String fileSource) {
        this.fileSource = fileSource;
    }

    private String telphone;//手机号

    private String zip;//现住址邮编

    private String changeDate1;//转科1日期

    private String changeDate2;//转科2日期

    private String changeDate3;//转科3日期

    private String changeDept1;//转科1

    private String changeDept2;//转科2

    private String changeDept3;//转科3

    private String isHospitalization;//是否30天后再住院

    private String hospitalizationObjective;//再住院目的

    private Integer ryqhmDays;//颅脑损伤患者入院前昏迷天数

    private Integer ryqhmHours;//颅脑损伤患者入院前昏迷小时数

    private Integer ryqhmMins;//颅脑损伤患者入院前昏迷分钟数

    private Integer ryhmDays;//颅脑损伤患者入院后昏迷天数

    private Integer ryhmHours;//颅脑损伤患者入院后昏迷小时数

    private Integer ryhmMins;//颅脑损伤患者入院后昏迷分钟数

    private String isMedicalRecordPath;//是否有临床路径病例

    private String responsibleNurse;//责任护士

    private String birthWeight;//婴儿出生体重

    private String breathing;//呼吸

    private Integer rescueTimes;//抢救次数

    private Integer rescueSuccessTimes;//抢救成功次数

    private String tumorStagingType;//肿瘤分期类型

    private String radiotherapyType;//放疗方式

    private String radiotherapyProgram;//放疗程式

    private String radiotherapyDevice;//放疗装置

    private Integer primaryTumorDay;//放疗服药期间天数

    private Integer primaryTumorTimes;//放疗服药期间每天次数

    private String primaryTumorDose;//放疗服药期间每次剂量

    private String primaryTumorStarttime;//放疗服药起始时间

    private String primaryTumorEndtime;//放疗服药终止时间

    private String chemotherapyType;//化疗方式

    private String chemotherapyMethod;//化疗方法

    private String startTime;

    private String endTime;

    private String drugNameAndDose;

    private String treatmentCourse;

    private String curativeEffect;

    private String caseType;//病历分型

    private BigDecimal totalCharge;//住院总费用

    private BigDecimal charge02;//护理费

    private BigDecimal charge03;//西药费

    private BigDecimal charge04;//中成药费

    private BigDecimal charge05;//中草药费

    private BigDecimal charge09;//血费

    private BigDecimal charge10;//一般医疗服务费

    private BigDecimal charge14;//麻醉费

    private BigDecimal charge19;//手术费

    private BigDecimal charge20;//综合医疗服务其他费用

    private BigDecimal charge22;//自付金额

    private BigDecimal charge25;//一般治疗操作费

    private BigDecimal other;//其他费

    private BigDecimal charge29;//病理诊断费

    private BigDecimal charge30;//实验室诊断费

    private BigDecimal charge31;//影像学诊断费

    private BigDecimal charge32;//临床诊断项目费

    private BigDecimal charge33;//非手术治疗项目费

    private BigDecimal charge34;//临床物理治疗费

    private BigDecimal charge35;//手术治疗项目总费用

    private BigDecimal charge36;//康复费

    private BigDecimal charge37;//抗菌药物费用

    private BigDecimal charge38;//中医治疗费

    private BigDecimal charge39;//白蛋白类制品费

    private BigDecimal charge40;//球蛋白类制品费

    private BigDecimal charge41;//凝血因子类制品费

    private BigDecimal charge42;//细胞因子类制品费

    private BigDecimal charge43;//检查用一次性医用材料费

    private BigDecimal charge44;//治疗用一次性医用材料费

    private BigDecimal charge45;//手术用一次性医用材料费

    private String childbirthMothed;//分娩结果

    private String diagType;//诊断类型

    private String nation;//民族

    private String clinicDoctor;//门诊医生

    private String disType;//出院方式

    private String transferHospitalName;//离院方式为医嘱转院，拟接收医疗机构名称

    private String transferHealcenterName;//离院方式为转社区卫生服务器机构/乡镇卫生院，拟接收医疗机构名称

    private BigDecimal birthbabyWeight;//新生儿入院体重

    private String healthyCard;//健康卡号

    private String saveTimes;//抢救次数

    private String saveSuccessTimes;//抢救成功次数

    private String chossurg;//是否择期手术

    private String babyDiagType;//婴儿转归

    private String checkedDatetime;//

    private String babySex;

    private String filePath;//脐血库、祈福医院影像图片目录

    private String newPath;//新增图片目录

    private String ph;//病历扫描盘号

    private String gdh;//胶卷上的目录

    private String clinicHerbDiag;//中医门诊icd

    private String clinicHerbName;//中医门诊病名

    private String admissHerbDiag;//中医入院icd

    private String admissHerbName;//中医入院病名

    private String admissDiag;//入院诊断idc

    private String admissName;//入院诊断名称

    private String affirmDate;//确诊日期

    private Integer delCount;//病案图片已删除的个数

    private String filePath2;//第二套图像存放地址

    public String getFilePath2() {
        return filePath2;
    }

    public void setFilePath2(String filePath2) {
        this.filePath2 = filePath2;
    }

    public Integer getDelCount() {
        return delCount;
    }

    public void setDelCount(Integer delCount) {
        this.delCount = delCount;
    }

    public String getAffirmDate() {
        return affirmDate;
    }

    public void setAffirmDate(String affirmDate) {
        this.affirmDate = affirmDate;
    }

    public String getClinicHerbDiag() {
        return clinicHerbDiag;
    }

    public void setClinicHerbDiag(String clinicHerbDiag) {
        this.clinicHerbDiag = clinicHerbDiag;
    }

    public String getClinicHerbName() {
        return clinicHerbName;
    }

    public void setClinicHerbName(String clinicHerbName) {
        this.clinicHerbName = clinicHerbName;
    }

    public String getAdmissHerbDiag() {
        return admissHerbDiag;
    }

    public void setAdmissHerbDiag(String admissHerbDiag) {
        this.admissHerbDiag = admissHerbDiag;
    }

    public String getAdmissHerbName() {
        return admissHerbName;
    }

    public void setAdmissHerbName(String admissHerbName) {
        this.admissHerbName = admissHerbName;
    }

    public String getAdmissDiag() {
        return admissDiag;
    }

    public void setAdmissDiag(String admissDiag) {
        this.admissDiag = admissDiag;
    }

    public String getAdmissName() {
        return admissName;
    }

    public void setAdmissName(String admissName) {
        this.admissName = admissName;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public String getGdh() {
        return gdh;
    }

    public void setGdh(String gdh) {
        this.gdh = gdh;
    }

    public String getMainDiagCode() {
        return mainDiagCode;
    }

    public void setMainDiagCode(String mainDiagCode) {
        this.mainDiagCode = mainDiagCode;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getNewPath() {
        return newPath;
    }

    public void setNewPath(String newPath) {
        this.newPath = newPath;
    }

    public String getTransferHospitalName() {
        return transferHospitalName;
    }

    public void setTransferHospitalName(String transferHospitalName) {
        this.transferHospitalName = transferHospitalName;
    }

    public String getTransferHealcenterName() {
        return transferHealcenterName;
    }

    public void setTransferHealcenterName(String transferHealcenterName) {
        this.transferHealcenterName = transferHealcenterName;
    }

    public String getPathologyNo() {
        return pathologyNo;
    }

    public void setPathologyNo(String pathologyNo) {
        this.pathologyNo = pathologyNo;
    }

    public String getPathologyCode() {
        return pathologyCode;
    }

    public void setPathologyCode(String pathologyCode) {
        this.pathologyCode = pathologyCode;
    }

    public String getInputCreateTime() {
        return inputCreateTime;
    }

    public void setInputCreateTime(String inputCreateTime) {
        this.inputCreateTime = inputCreateTime;
    }

    public String getInputName() {
        return inputName;
    }

    public void setInputName(String inputName) {
        this.inputName = inputName;
    }

    public String getWorkName() {
        return workName;
    }

    public void setWorkName(String workName) {
        this.workName = workName;
    }

    public String getPathologyName() {
        return pathologyName;
    }

    public void setPathologyName(String pathologyName) {
        this.pathologyName = pathologyName;
    }

    public String getSaveTimes() {
        return saveTimes;
    }

    public String getHealthyCard() {
        return healthyCard;
    }

    public void setHealthyCard(String healthyCard) {
        this.healthyCard = healthyCard;
    }

    public void setSaveTimes(String saveTimes) {
        this.saveTimes = saveTimes;
    }

    public String getSaveSuccessTimes() {
        return saveSuccessTimes;
    }

    public void setSaveSuccessTimes(String saveSuccessTimes) {
        this.saveSuccessTimes = saveSuccessTimes;
    }

    public String getBabySex() {
        return babySex;
    }

    public void setBabySex(String babySex) {
        this.babySex = babySex;
    }

    public String getCheckedDatetime() {
        return checkedDatetime;
    }

    public void setCheckedDatetime(String checkedDatetime) {
        this.checkedDatetime = checkedDatetime;
    }

    public String getBabyDiagType() {
        return babyDiagType;
    }

    public void setBabyDiagType(String babyDiagType) {
        this.babyDiagType = babyDiagType;
    }

    public String getChossurg() {
        return chossurg;
    }

    public void setChossurg(String chossurg) {
        this.chossurg = chossurg;
    }

    public BigDecimal getBirthbabyWeight() {
        return birthbabyWeight;
    }

    public void setBirthbabyWeight(BigDecimal birthbabyWeight) {
        this.birthbabyWeight = birthbabyWeight;
    }

    public String getNativePlace() {
        return nativePlace;
    }

    public void setNativePlace(String nativePlace) {
        this.nativePlace = nativePlace;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public String getZip() {
        return zip;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    public String getChangeDate1() {
        return changeDate1;
    }

    public void setChangeDate1(String changeDate1) {
        this.changeDate1 = changeDate1;
    }

    public String getChangeDate2() {
        return changeDate2;
    }

    public void setChangeDate2(String changeDate2) {
        this.changeDate2 = changeDate2;
    }

    public String getChangeDate3() {
        return changeDate3;
    }

    public void setChangeDate3(String changeDate3) {
        this.changeDate3 = changeDate3;
    }

    public String getChangeDept1() {
        return changeDept1;
    }

    public void setChangeDept1(String changeDept1) {
        this.changeDept1 = changeDept1;
    }

    public String getChangeDept2() {
        return changeDept2;
    }

    public void setChangeDept2(String changeDept2) {
        this.changeDept2 = changeDept2;
    }

    public String getChangeDept3() {
        return changeDept3;
    }

    public void setChangeDept3(String changeDept3) {
        this.changeDept3 = changeDept3;
    }

    public String getIsHospitalization() {
        return isHospitalization;
    }

    public void setIsHospitalization(String isHospitalization) {
        this.isHospitalization = isHospitalization;
    }

    public String getHospitalizationObjective() {
        return hospitalizationObjective;
    }

    public void setHospitalizationObjective(String hospitalizationObjective) {
        this.hospitalizationObjective = hospitalizationObjective;
    }

    public Integer getRyqhmDays() {
        return ryqhmDays;
    }

    public void setRyqhmDays(Integer ryqhmDays) {
        this.ryqhmDays = ryqhmDays;
    }

    public Integer getRyqhmHours() {
        return ryqhmHours;
    }

    public void setRyqhmHours(Integer ryqhmHours) {
        this.ryqhmHours = ryqhmHours;
    }

    public Integer getRyqhmMins() {
        return ryqhmMins;
    }

    public void setRyqhmMins(Integer ryqhmMins) {
        this.ryqhmMins = ryqhmMins;
    }

    public Integer getRyhmDays() {
        return ryhmDays;
    }

    public void setRyhmDays(Integer ryhmDays) {
        this.ryhmDays = ryhmDays;
    }

    public Integer getRyhmHours() {
        return ryhmHours;
    }

    public void setRyhmHours(Integer ryhmHours) {
        this.ryhmHours = ryhmHours;
    }

    public Integer getRyhmMins() {
        return ryhmMins;
    }

    public void setRyhmMins(Integer ryhmMins) {
        this.ryhmMins = ryhmMins;
    }

    public String getIsMedicalRecordPath() {
        return isMedicalRecordPath;
    }

    public void setIsMedicalRecordPath(String isMedicalRecordPath) {
        this.isMedicalRecordPath = isMedicalRecordPath;
    }

    public String getResponsibleNurse() {
        return responsibleNurse;
    }

    public void setResponsibleNurse(String responsibleNurse) {
        this.responsibleNurse = responsibleNurse;
    }

    public String getBirthWeight() {
        return birthWeight;
    }

    public void setBirthWeight(String birthWeight) {
        this.birthWeight = birthWeight;
    }

    public String getBreathing() {
        return breathing;
    }

    public void setBreathing(String breathing) {
        this.breathing = breathing;
    }

    public Integer getRescueTimes() {
        return rescueTimes;
    }

    public void setRescueTimes(Integer rescueTimes) {
        this.rescueTimes = rescueTimes;
    }

    public Integer getRescueSuccessTimes() {
        return rescueSuccessTimes;
    }

    public void setRescueSuccessTimes(Integer rescueSuccessTimes) {
        this.rescueSuccessTimes = rescueSuccessTimes;
    }

    public String getTumorStagingType() {
        return tumorStagingType;
    }

    public void setTumorStagingType(String tumorStagingType) {
        this.tumorStagingType = tumorStagingType;
    }

    public String getRadiotherapyType() {
        return radiotherapyType;
    }

    public void setRadiotherapyType(String radiotherapyType) {
        this.radiotherapyType = radiotherapyType;
    }

    public String getRadiotherapyProgram() {
        return radiotherapyProgram;
    }

    public void setRadiotherapyProgram(String radiotherapyProgram) {
        this.radiotherapyProgram = radiotherapyProgram;
    }

    public String getRadiotherapyDevice() {
        return radiotherapyDevice;
    }

    public void setRadiotherapyDevice(String radiotherapyDevice) {
        this.radiotherapyDevice = radiotherapyDevice;
    }

    public Integer getPrimaryTumorDay() {
        return primaryTumorDay;
    }

    public void setPrimaryTumorDay(Integer primaryTumorDay) {
        this.primaryTumorDay = primaryTumorDay;
    }

    public Integer getPrimaryTumorTimes() {
        return primaryTumorTimes;
    }

    public void setPrimaryTumorTimes(Integer primaryTumorTimes) {
        this.primaryTumorTimes = primaryTumorTimes;
    }

    public String getPrimaryTumorDose() {
        return primaryTumorDose;
    }

    public void setPrimaryTumorDose(String primaryTumorDose) {
        this.primaryTumorDose = primaryTumorDose;
    }

    public String getPrimaryTumorStarttime() {
        return primaryTumorStarttime;
    }

    public void setPrimaryTumorStarttime(String primaryTumorStarttime) {
        this.primaryTumorStarttime = primaryTumorStarttime;
    }

    public String getPrimaryTumorEndtime() {
        return primaryTumorEndtime;
    }

    public void setPrimaryTumorEndtime(String primaryTumorEndtime) {
        this.primaryTumorEndtime = primaryTumorEndtime;
    }

    public String getChemotherapyType() {
        return chemotherapyType;
    }

    public void setChemotherapyType(String chemotherapyType) {
        this.chemotherapyType = chemotherapyType;
    }

    public String getChemotherapyMethod() {
        return chemotherapyMethod;
    }

    public void setChemotherapyMethod(String chemotherapyMethod) {
        this.chemotherapyMethod = chemotherapyMethod;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDrugNameAndDose() {
        return drugNameAndDose;
    }

    public void setDrugNameAndDose(String drugNameAndDose) {
        this.drugNameAndDose = drugNameAndDose;
    }

    public String getTreatmentCourse() {
        return treatmentCourse;
    }

    public void setTreatmentCourse(String treatmentCourse) {
        this.treatmentCourse = treatmentCourse;
    }

    public String getCurativeEffect() {
        return curativeEffect;
    }

    public void setCurativeEffect(String curativeEffect) {
        this.curativeEffect = curativeEffect;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public BigDecimal getTotalCharge() {
        return totalCharge;
    }

    public void setTotalCharge(BigDecimal totalCharge) {
        this.totalCharge = totalCharge;
    }

    public BigDecimal getCharge02() {
        return charge02;
    }

    public void setCharge02(BigDecimal charge02) {
        this.charge02 = charge02;
    }

    public BigDecimal getCharge03() {
        return charge03;
    }

    public void setCharge03(BigDecimal charge03) {
        this.charge03 = charge03;
    }

    public BigDecimal getCharge04() {
        return charge04;
    }

    public void setCharge04(BigDecimal charge04) {
        this.charge04 = charge04;
    }

    public BigDecimal getCharge05() {
        return charge05;
    }

    public void setCharge05(BigDecimal charge05) {
        this.charge05 = charge05;
    }

    public BigDecimal getCharge09() {
        return charge09;
    }

    public void setCharge09(BigDecimal charge09) {
        this.charge09 = charge09;
    }

    public BigDecimal getCharge10() {
        return charge10;
    }

    public void setCharge10(BigDecimal charge10) {
        this.charge10 = charge10;
    }

    public BigDecimal getCharge14() {
        return charge14;
    }

    public void setCharge14(BigDecimal charge14) {
        this.charge14 = charge14;
    }

    public BigDecimal getCharge19() {
        return charge19;
    }

    public void setCharge19(BigDecimal charge19) {
        this.charge19 = charge19;
    }

    public BigDecimal getCharge20() {
        return charge20;
    }

    public void setCharge20(BigDecimal charge20) {
        this.charge20 = charge20;
    }

    public BigDecimal getCharge22() {
        return charge22;
    }

    public void setCharge22(BigDecimal charge22) {
        this.charge22 = charge22;
    }

    public BigDecimal getCharge25() {
        return charge25;
    }

    public void setCharge25(BigDecimal charge25) {
        this.charge25 = charge25;
    }

    public BigDecimal getOther() {
        return other;
    }

    public void setOther(BigDecimal other) {
        this.other = other;
    }

    public BigDecimal getCharge29() {
        return charge29;
    }

    public void setCharge29(BigDecimal charge29) {
        this.charge29 = charge29;
    }

    public BigDecimal getCharge30() {
        return charge30;
    }

    public void setCharge30(BigDecimal charge30) {
        this.charge30 = charge30;
    }

    public BigDecimal getCharge31() {
        return charge31;
    }

    public void setCharge31(BigDecimal charge31) {
        this.charge31 = charge31;
    }

    public BigDecimal getCharge32() {
        return charge32;
    }

    public void setCharge32(BigDecimal charge32) {
        this.charge32 = charge32;
    }

    public BigDecimal getCharge33() {
        return charge33;
    }

    public void setCharge33(BigDecimal charge33) {
        this.charge33 = charge33;
    }

    public BigDecimal getCharge34() {
        return charge34;
    }

    public void setCharge34(BigDecimal charge34) {
        this.charge34 = charge34;
    }

    public BigDecimal getCharge35() {
        return charge35;
    }

    public void setCharge35(BigDecimal charge35) {
        this.charge35 = charge35;
    }

    public BigDecimal getCharge36() {
        return charge36;
    }

    public void setCharge36(BigDecimal charge36) {
        this.charge36 = charge36;
    }

    public BigDecimal getCharge37() {
        return charge37;
    }

    public void setCharge37(BigDecimal charge37) {
        this.charge37 = charge37;
    }

    public BigDecimal getCharge38() {
        return charge38;
    }

    public void setCharge38(BigDecimal charge38) {
        this.charge38 = charge38;
    }

    public BigDecimal getCharge39() {
        return charge39;
    }

    public void setCharge39(BigDecimal charge39) {
        this.charge39 = charge39;
    }

    public BigDecimal getCharge40() {
        return charge40;
    }

    public void setCharge40(BigDecimal charge40) {
        this.charge40 = charge40;
    }

    public BigDecimal getCharge41() {
        return charge41;
    }

    public void setCharge41(BigDecimal charge41) {
        this.charge41 = charge41;
    }

    public BigDecimal getCharge42() {
        return charge42;
    }

    public void setCharge42(BigDecimal charge42) {
        this.charge42 = charge42;
    }

    public BigDecimal getCharge43() {
        return charge43;
    }

    public void setCharge43(BigDecimal charge43) {
        this.charge43 = charge43;
    }

    public BigDecimal getCharge44() {
        return charge44;
    }

    public void setCharge44(BigDecimal charge44) {
        this.charge44 = charge44;
    }

    public BigDecimal getCharge45() {
        return charge45;
    }

    public void setCharge45(BigDecimal charge45) {
        this.charge45 = charge45;
    }

    public String getChildbirthMothed() {
        return childbirthMothed;
    }

    public void setChildbirthMothed(String childbirthMothed) {
        this.childbirthMothed = childbirthMothed;
    }

    public String getDiagType() {
        return diagType;
    }

    public void setDiagType(String diagType) {
        this.diagType = diagType;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getClinicDoctor() {
        return clinicDoctor;
    }

    public void setClinicDoctor(String clinicDoctor) {
        this.clinicDoctor = clinicDoctor;
    }

    public String getDisType() {
        return disType;
    }

    public void setDisType(String disType) {
        this.disType = disType;
    }

    public Integer getUnlockOper() {
        return unlockOper;
    }

    public void setUnlockOper(Integer unlockOper) {
        this.unlockOper = unlockOper;
    }

    public Integer getBorrowingOper() {
        return borrowingOper;
    }

    public void setBorrowingOper(Integer borrowingOper) {
        this.borrowingOper = borrowingOper;
    }

    public Integer getLockOper() {
        return lockOper;
    }

    public void setLockOper(Integer lockOper) {
        this.lockOper = lockOper;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public Short getAdmissTimes() {
        return admissTimes;
    }

    public void setAdmissTimes(Short admissTimes) {
        this.admissTimes = admissTimes;
    }

    public String getInpatientNo() {
        return inpatientNo;
    }

    public void setInpatientNo(String inpatientNo) {
        this.inpatientNo = inpatientNo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAdmissId() {
        return admissId;
    }

    public void setAdmissId(String admissId) {
        this.admissId = admissId;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }


    public Short getAgeMonth() {
        return ageMonth;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public void setAgeMonth(Short ageMonth) {
        this.ageMonth = ageMonth;
    }

    public Short getAgeDay() {
        return ageDay;
    }

    public void setAgeDay(Short ageDay) {
        this.ageDay = ageDay;
    }

    public String getHomeAddr() {
        return homeAddr;
    }

    public void setHomeAddr(String homeAddr) {
        this.homeAddr = homeAddr;
    }

    public String getNameCym() {
        return nameCym;
    }

    public void setNameCym(String nameCym) {
        this.nameCym = nameCym;
    }

    public String getAdmissDate() {
        return admissDate;
    }

    public void setAdmissDate(String admissDate) {
        this.admissDate = admissDate;
    }

    public String getDisDate() {
        return disDate;
    }

    public void setDisDate(String disDate) {
        this.disDate = disDate;
    }

    public Integer getAdmissDays() {
        return admissDays;
    }

    public void setAdmissDays(Integer admissDays) {
        this.admissDays = admissDays;
    }

    public String getDisDept() {
        return disDept;
    }

    public void setDisDept(String disDept) {
        this.disDept = disDept;
    }

    public String getIsOper() {
        return isOper;
    }

    public void setIsOper(String isOper) {
        this.isOper = isOper;
    }

    public String getAttending() {
        return attending;
    }

    public void setAttending(String attending) {
        this.attending = attending;
    }

    public String getMainDiagName() {
        return mainDiagName;
    }

    public void setMainDiagName(String mainDiagName) {
        this.mainDiagName = mainDiagName;
    }

    public String getMainDisThing() {
        return mainDisThing;
    }

    public void setMainDisThing(String mainDisThing) {
        this.mainDisThing = mainDisThing;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getBirthAddr() {
        return birthAddr;
    }

    public void setBirthAddr(String birthAddr) {
        this.birthAddr = birthAddr;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getHomeTel() {
        return homeTel;
    }

    public void setHomeTel(String homeTel) {
        this.homeTel = homeTel;
    }

    public String getHomeZip() {
        return homeZip;
    }

    public void setHomeZip(String homeZip) {
        this.homeZip = homeZip;
    }

    public String getWorkAddr() {
        return workAddr;
    }

    public void setWorkAddr(String workAddr) {
        this.workAddr = workAddr;
    }

    public String getWorkTel() {
        return workTel;
    }

    public void setWorkTel(String workTel) {
        this.workTel = workTel;
    }

    public String getWorkZip() {
        return workZip;
    }

    public void setWorkZip(String workZip) {
        this.workZip = workZip;
    }

    public String getLinkman() {
        return linkman;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    public String getRelation() {
        return relation;
    }

    public void setRelation(String relation) {
        this.relation = relation;
    }

    public String getRelAddr() {
        return relAddr;
    }

    public void setRelAddr(String relAddr) {
        this.relAddr = relAddr;
    }

    public String getRelTel() {
        return relTel;
    }

    public void setRelTel(String relTel) {
        this.relTel = relTel;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public BigDecimal getAvoirdupois() {
        return avoirdupois;
    }

    public void setAvoirdupois(BigDecimal avoirdupois) {
        this.avoirdupois = avoirdupois;
    }

    public String getAdmissType() {
        return admissType;
    }

    public void setAdmissType(String admissType) {
        this.admissType = admissType;
    }

    public String getAdmissDept() {
        return admissDept;
    }

    public void setAdmissDept(String admissDept) {
        this.admissDept = admissDept;
    }

    public String getAdmissWard() {
        return admissWard;
    }

    public void setAdmissWard(String admissWard) {
        this.admissWard = admissWard;
    }

    public String getChangeDept() {
        return changeDept;
    }

    public void setChangeDept(String changeDept) {
        this.changeDept = changeDept;
    }

    public String getDisWard() {
        return disWard;
    }

    public void setDisWard(String disWard) {
        this.disWard = disWard;
    }

    public String getClinicDiag() {
        return clinicDiag;
    }

    public void setClinicDiag(String clinicDiag) {
        this.clinicDiag = clinicDiag;
    }

    public String getClinicName() {
        return clinicName;
    }

    public void setClinicName(String clinicName) {
        this.clinicName = clinicName;
    }

    public String getAdmissThing() {
        return admissThing;
    }

    public void setAdmissThing(String admissThing) {
        this.admissThing = admissThing;
    }

    public String getMedicine() {
        return medicine;
    }

    public void setMedicine(String medicine) {
        this.medicine = medicine;
    }

    public String getIsMedicine() {
        return isMedicine;
    }

    public void setIsMedicine(String isMedicine) {
        this.isMedicine = isMedicine;
    }

    public String getEmitPathology() {
        return emitPathology;
    }

    public void setEmitPathology(String emitPathology) {
        this.emitPathology = emitPathology;
    }

    public String getDeptDirector() {
        return deptDirector;
    }

    public void setDeptDirector(String deptDirector) {
        this.deptDirector = deptDirector;
    }

    public String getDirector() {
        return director;
    }

    public void setDirector(String director) {
        this.director = director;
    }

    public String getAdmissDoctor() {
        return admissDoctor;
    }

    public void setAdmissDoctor(String admissDoctor) {
        this.admissDoctor = admissDoctor;
    }

    public String getRefresher() {
        return refresher;
    }

    public void setRefresher(String refresher) {
        this.refresher = refresher;
    }

    public String getPraxis() {
        return praxis;
    }

    public void setPraxis(String praxis) {
        this.praxis = praxis;
    }

    public String getCoding() {
        return coding;
    }

    public void setCoding(String coding) {
        this.coding = coding;
    }

    public String getQuality() {
        return quality;
    }

    public void setQuality(String quality) {
        this.quality = quality;
    }

    public String getControl() {
        return control;
    }

    public void setControl(String control) {
        this.control = control;
    }

    public String getNurses() {
        return nurses;
    }

    public void setNurses(String nurses) {
        this.nurses = nurses;
    }

    public String getQualityDate() {
        return qualityDate;
    }

    public void setQualityDate(String qualityDate) {
        this.qualityDate = qualityDate;
    }

    public String getBloodType() {
        return bloodType;
    }

    public void setBloodType(String bloodType) {
        this.bloodType = bloodType;
    }

    public String getRh() {
        return rh;
    }

    public void setRh(String rh) {
        this.rh = rh;
    }

    public Integer getIsShowDetail() {
        return isShowDetail;
    }

    public void setIsShowDetail(Integer isShowDetail) {
        this.isShowDetail = isShowDetail;
    }

    public Integer getLockStatus() {
        return lockStatus;
    }

    public void setLockStatus(Integer lockStatus) {
        this.lockStatus = lockStatus;
    }

    public String getDiagCode() {
        return diagCode;
    }

    public void setDiagCode(String diagCode) {
        this.diagCode = diagCode;
    }

    public String getDiagName() {
        return diagName;
    }

    public void setDiagName(String diagName) {
        this.diagName = diagName;
    }

    public String getDisThing() {
        return disThing;
    }

    public void setDisThing(String disThing) {
        this.disThing = disThing;
    }

    public String getOperateCode() {
        return operateCode;
    }

    public void setOperateCode(String operateCode) {
        this.operateCode = operateCode;
    }

    public String getOperateName() {
        return operateName;
    }

    public void setOperateName(String operateName) {
        this.operateName = operateName;
    }

    public String getOperateDate() {
        return operateDate;
    }

    public void setOperateDate(String operateDate) {
        this.operateDate = operateDate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getAssistant1() {
        return assistant1;
    }

    public void setAssistant1(String assistant1) {
        this.assistant1 = assistant1;
    }

    public String getAssistant2() {
        return assistant2;
    }

    public void setAssistant2(String assistant2) {
        this.assistant2 = assistant2;
    }

    public String getOperateClass() {
        return operateClass;
    }

    public void setOperateClass(String operateClass) {
        this.operateClass = operateClass;
    }

    public String getAnaesthesiaType() {
        return anaesthesiaType;
    }

    public void setAnaesthesiaType(String anaesthesiaType) {
        this.anaesthesiaType = anaesthesiaType;
    }

    public String getCut() {
        return cut;
    }

    public void setCut(String cut) {
        this.cut = cut;
    }

    public String getAnaesthesiaName() {
        return anaesthesiaName;
    }

    public void setAnaesthesiaName(String anaesthesiaName) {
        this.anaesthesiaName = anaesthesiaName;
    }

    public String getTaintName() {
        return taintName;
    }

    public void setTaintName(String taintName) {
        this.taintName = taintName;
    }

    public String getOtherDiagName() {
        return otherDiagName;
    }

    public void setOtherDiagName(String otherDiagName) {
        this.otherDiagName = otherDiagName;
    }

    public String getAdmissTimesName() {
        return admissTimesName;
    }

    public void setAdmissTimesName(String admissTimesName) {
        this.admissTimesName = admissTimesName;
    }

    public Integer getDownloadOper() {
        return downloadOper;
    }

    public void setDownloadOper(Integer downloadOper) {
        this.downloadOper = downloadOper;
    }

    public Integer getIsDownload() {
        return isDownload;
    }

    public void setIsDownload(Integer isDownload) {
        this.isDownload = isDownload;
    }

    public Integer getEditOper() {
        return editOper;
    }

    public void setEditOper(Integer editOper) {
        this.editOper = editOper;
    }

    public Integer getDelOper() {
        return delOper;
    }

    public void setDelOper(Integer delOper) {
        this.delOper = delOper;
    }

    public String getPoisoningName() {
        return poisoningName;
    }

    public void setPoisoningName(String poisoningName) {
        this.poisoningName = poisoningName;
    }
}